#pragma once

#include "CoreMinimal.h"
#include "EStoreMenuState.h"
#include "OnStoreStateChanged.generated.h"

UDELEGATE()
DECLARE_DYNAMIC_MULTICAST_DELEGATE_OneParam(FOnStoreStateChanged, EStoreMenuState, newState);
